OpenSCAD release: 2011.06

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

OpenSCAD release: 2011.06

kintel
Administrator
Hi all,

OpenSCAD 2011.06 has been released.

The source package as well as the Linux binaries, Linux PPA, Mac OS X and Windows binaries are online. Get them from openscad.org.

This is a bugfix release to fix some annoying incompatibilities introduced in the previous version:

o Cylinder tesselation broke existing models which are using cylinders for e.g. captured nut slots and are dependent on the orientation not
  changing.
o DXF output couldn't be imported into e.g. AutoCAD and Solidworks after updating to using the AutoCAD 2000 (AC1015) format. Reverted to the old entity-only output, causing LWPOLYLINES to not exported allowed anymore.

In addition, one minor feature was added:
o Added "Export as Image" menu.

Have fun,

 -Marius


Reply | Threaded
Open this post in threaded view
|

Re: OpenSCAD release: 2011.06

Gérard Meunier
Le jeudi 16 juin 2011 à 12:59 +0200, Marius Kintel a écrit :

> Hi all,
>
> OpenSCAD 2011.06 has been released.
>
> The source package as well as the Linux binaries, Linux PPA, Mac OS X and Windows binaries are online. Get them from openscad.org.
>
> This is a bugfix release to fix some annoying incompatibilities introduced in the previous version:
>
> o Cylinder tesselation broke existing models which are using cylinders for e.g. captured nut slots and are dependent on the orientation not
>   changing.
> o DXF output couldn't be imported into e.g. AutoCAD and Solidworks after updating to using the AutoCAD 2000 (AC1015) format. Reverted to the old entity-only output, causing LWPOLYLINES to not exported allowed anymore.
>
> In addition, one minor feature was added:
> o Added "Export as Image" menu.
>
> Have fun,
>
>  -Marius
>
> _______________________________________________
> OpenSCAD mailing list
> [hidden email]
> http://rocklinux.net/mailman/listinfo/openscad
>

Hi,

I tried to install this new version under Ubuntu Lucid with the ppa.
Installation went fine, but when I run Openscad, I get this error:

/usr/local/bin/../lib/openscad//openscad: /usr/lib/libstdc++.so.6:
version `GLIBCXX_3.4.14' not found (required
by /usr/local/bin/../lib/openscad//openscad)

When I installed it under Ubuntu Natty, it ran correctly.

How can I install it under Lucid? Thanks.

Gérard


Reply | Threaded
Open this post in threaded view
|

Re: OpenSCAD release: 2011.06

Stuart Young
2011/6/19 Gérard Meunier <[hidden email]>:

> I tried to install this new version under Ubuntu Lucid with the ppa.
> Installation went fine, but when I run Openscad, I get this error:
>
> /usr/local/bin/../lib/openscad//openscad: /usr/lib/libstdc++.so.6:
> version `GLIBCXX_3.4.14' not found (required
> by /usr/local/bin/../lib/openscad//openscad)
>
> When I installed it under Ubuntu Natty, it ran correctly.
>
> How can I install it under Lucid? Thanks.

It's working fine for me on Kubuntu 10.04 without error.

Check which version of libstdc++6 you have installed with:

dpkg -s libstdc++6

My working version: 4.4.3-4ubuntu5

This will tell you if you have an old lib version that hasn't upgraded.

FWIW: You should make sure the rest of your system is up to date.

--
Stuart Young (aka Cefiar)

Reply | Threaded
Open this post in threaded view
|

Re: OpenSCAD release: 2011.06

chrysn
In reply to this post by Gérard Meunier
hi gérard,

On Sun, Jun 19, 2011 at 12:40:09AM +0200, Gérard Meunier wrote:

> I tried to install this new version under Ubuntu Lucid with the ppa.
> Installation went fine, but when I run Openscad, I get this error:
>
> /usr/local/bin/../lib/openscad//openscad: /usr/lib/libstdc++.so.6:
> version `GLIBCXX_3.4.14' not found (required
> by /usr/local/bin/../lib/openscad//openscad)
>
> When I installed it under Ubuntu Natty, it ran correctly.
>
> How can I install it under Lucid? Thanks.
could you describe the steps you took to install it on lucid? (the
/usr/local/bin part seems a bit strange to me, as i patched out the
"local" in the ppa i maintain -- it more looks like the binary release.)

and i'd be interested in your PATH variable (can be determined by
entering `echo $PATH` in command prompt) -- could you have an older
version installed additionally that gets called instead of the new one
from the ppa?

regards
chrysn

--
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom

signature.asc (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: OpenSCAD release: 2011.06

Gérard Meunier
Le dimanche 19 juin 2011 à 02:15 +0200, chrysn a écrit :

> hi gérard,
>
> On Sun, Jun 19, 2011 at 12:40:09AM +0200, Gérard Meunier wrote:
> > I tried to install this new version under Ubuntu Lucid with the ppa.
> > Installation went fine, but when I run Openscad, I get this error:
> >
> > /usr/local/bin/../lib/openscad//openscad: /usr/lib/libstdc++.so.6:
> > version `GLIBCXX_3.4.14' not found (required
> > by /usr/local/bin/../lib/openscad//openscad)
> >
> > When I installed it under Ubuntu Natty, it ran correctly.
> >
> > How can I install it under Lucid? Thanks.
>
> could you describe the steps you took to install it on lucid? (the
> /usr/local/bin part seems a bit strange to me, as i patched out the
> "local" in the ppa i maintain -- it more looks like the binary release.)
>
> and i'd be interested in your PATH variable (can be determined by
> entering `echo $PATH` in command prompt) -- could you have an older
> version installed additionally that gets called instead of the new one
> from the ppa?
>
> regards
> chrysn
>
> _______________________________________________
> OpenSCAD mailing list
> [hidden email]
> http://rocklinux.net/mailman/listinfo/openscad

Hi Chrysn,

You're right. I had previously installed the binary release, in the
local folder. Once it is erased, all works fine. Thanks a lot.

Thanks also to Cefiar.

Gérard